EDIT - bug #9112

Widget is disposed when closing factual data view
06/30/2020 03:45 PM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.16

Severity: normal Found in Version:

Description

mail WB:

Hallo, nach dem SchlieBen des Fact-views nach Eingabe einer Citation beim Speichern des Taxons. Der neue Fact wurde nicht

gespeichert.
HG
w

last remote method : http://api.cybertaxonomy.org:80/caryophyllales_spp/remoting/name.service

last remote request client time

2020-06-26T08:46:34.627

last remote request response header time : Fri, 26 Jun 2020 08:46:34 GMT
client error time : 2020-06-26T08:47:01.063

login : w.berendsohn

editor version : 5.15.0

server : api.cybertaxonomy.org
schema version : 5.15.2.0.20200611
os : Windows Server 2012 R2 6.3 amdo64

java : 1.8.0_121
InjectionException: org.eclipse.swt.SWTException: Widget is disposed
at org.eclipse.ed.ui.workbench.renderers.swt.AbstractContributionItem.handleWidget
Selection (AbstractContributionItem. java:454)
Associated revisions

Revision ffb73e56 - 06/29/2020 01:48 PM - Katja Luther

avoid widget is disposed exception

History

#1 - 06/30/2020 03:46 PM - Katja Luther

- Category set to taxeditor

- Status changed from New to Resolved

- Assignee set to Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.16

- % Done changed from 0 to 70

please review or close the ticket.

#2 - 06/30/2020 04:19 PM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 70 to 100

Don't know if this is easy to reproduce. But | did not get an exception when closing the facts view.
